---
title: String.prototype.fontcolor()
slug: Web/JavaScript/Reference/Global_Objects/String/fontcolor
tags:
  - Deprecated
  - HTML wrapper methods
  - JavaScript
  - Method
  - Prototype
  - Reference
  - String
---
<div>{{JSRef}} {{deprecated_header}}</div>

<p>The <strong><code>fontcolor()</code></strong> method creates a {{HTMLElement("font")}} HTML element that causes a string to be displayed in the specified font color.</p>

<div class="note">
<p><strong>Usage note:</strong> The &lt;font&gt; element has been removed in <a href="/en-US/docs/Web/Guide/HTML/HTML5">HTML5</a> and shouldn't be used anymore. Instead web developers should use <a href="/en-US/docs/Web/CSS">CSS</a> properties.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>str</var>.fontcolor(<var>color</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>color</var></code></dt>
 <dd>A string expressing the color as a hexadecimal RGB triplet or as a string literal. String literals for color names are listed in the <a href="/en-US/docs/Web/CSS/color_value">CSS color reference</a>.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A string containing a {{HTMLElement("font")}} HTML element.</p>

<h2 id="Description">Description</h2>

<p>If you express color as a hexadecimal RGB triplet, you must use the format <code>rrggbb</code>. For example, the hexadecimal RGB values for salmon are red=FA, green=80, and blue=72, so the RGB triplet for salmon is "<code>FA8072</code>".</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_fontcolor">Using fontcolor()</h3>

<p>The following example uses the <code>fontcolor()</code> method to change the color of a string by producing a string with the HTML <code>&lt;font&gt;</code> element.</p>

<pre class="brush: js notranslate">var worldString = 'Hello, world';

console.log(worldString.fontcolor('red') +  ' is red in this line');
// '&lt;font color="red"&gt;Hello, world&lt;/font&gt; is red in this line'

console.log(worldString.fontcolor('FF00') + ' is red in hexadecimal in this line');
// '&lt;font color="FF00"&gt;Hello, world&lt;/font&gt; is red in hexadecimal in this line'
</pre>

<p>With the {{domxref("ElementCSSInlineStyle/style", "element.style")}} object you can get the element's <code>style</code> attribute and manipulate it more generically, for example:</p>

<pre class="brush: js notranslate">document.getElementById('yourElemId').style.color = 'red';
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-string.prototype.fontcolor', 'String.prototype.fontcolor')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.String.fontcolor")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("String.prototype.fontsize()")}}</li>
</ul>
